FAQ: Royal TSX V2 System Requirements

Important


Royal TSX V2 requires at least macOS Lion (version 10.7) to run.
Royal TSX V2 will NOT run on any older version of macOS.
Royal TSX V2 requires an Intel processor and will NOT run on any PowerPC based Mac.

Compatibility


Royal TSX V2 is supported on the following operating system versions:
  • macOS Sierra (version 10.12)
  • macOS El Capitan (version 10.11)
  • macOS Yosemite (version 10.10)
  • macOS Mavericks (version 10.9)
  • macOS Mountain Lion (version 10.8)
  • macOS Lion (version 10.7)
Generally, we do NOT support macOS beta releases. That doesn't mean the application won't run on any beta though. Of course we try to make sure Royal TSX works even on betas as soon as possible. But if your daily workflow depends on Royal TSX, please don't use macOS betas or be aware that compatibility might break with every update.

For more information about macOS beta releases and whether or not you should install a beta OS on your primary device, please see this blog post.

Gatekeeper


The Royal TSX application bundle is signed with an official Apple Developer ID certificate.
That means, your security settings must allow apps downloaded from "Mac App Store and identified developers".
Tags: OSXFAQ